<?php
/**
 * Проверка легитимности запуска скрипта.
 *
 * 1. Запуск сессий
 * 2. Проверка реферера страницы
 * 3. Проверка наличия ключа из JS файла
 *
 *
 * @author veselka.ua
 * @version 0.1
 *
 * @package veselka_ua/themes
 */

/**
 * Запуск сессий.
 */
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}


/**
 * Проверки легитимности запуска скрипта.
 */
try{
	// Проверка домена
	$domain = parse_url($_SERVER['HTTP_REFERER']);
	if( $_SERVER['SERVER_NAME'] != $domain['host'] ) {
		throw new Exception('Get fuck off!');
	}
	// Нет ключа из JS
	if( !isset($_POST['proof']) ) {
		throw new Exception('Why did you disturb me?');
	}
}
catch(Exception $e) {
	echo json_encode($e->getMessage());
}

?>